### Method

# Gegl Colorget_rgba_with_space

#### Declaration [src]

    void
    gegl_color_get_rgba_with_space (
      GeglColor* color,
      gdouble* red,
      gdouble* green,
      gdouble* blue,
      gdouble* alpha,
      const Babl* space
    )

#### Description [src]

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in sRGB.

#### Parameters

`red`

  Type: `gdouble*`

  Red return location.

  The argument will be set by the function.

`green`

  Type: `gdouble*`

  Green return location.

  The argument will be set by the function.

`blue`

  Type: `gdouble*`

  Blue return location.

  The argument will be set by the function.

`alpha`

  Type: `gdouble*`

  Alpha return location.

  The argument will be set by the function.

`space`

  Type: `Babl`

  RGB space.

  The data is owned by the caller of the method.